@font-face {
    font-family: 'MyMontFont';
    src: url(../fonts/MontserratRoboto/Montserrat/Montserrat-VariableFont_wght.ttf);
}

@font-face {
    font-family: 'CursiveFont';
    src: url(../fonts/FeasiblySingleLine-z8D90.ttf) format('truetype');
    font-display: swap;
}

@font-face {
    font-family: 'BoldFont';
    src: url(../fonts/ArchivoBlack-Regular.ttf);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    width: 100vw;
    min-height: 100vh;
}

body {
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    font-family:  'MyMontFont', sans-serif;
}

/* Header section = logo, title, and get started button */
.page-top {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 30px 20px 0 20px;
    z-index: 1;
    background-color: rgba(255, 255, 255, 0.5);
}

.logo-title {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 6px 12px;
    border-radius: 6px;
}

.logo {
    width: 100px;
    height: 100px;
    margin-right: 20px;
}

h1 {
    font-weight: bold;
    color: rgb(64, 84, 64);
}

.home-btn {
    background-color: rgb(64, 84, 64);
    color: white;
    border: none;
    border-radius: 10px;
    width: 150px;
    height: 50px;
    font-size: 20px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.home-btn:hover {
    background-color: rgb(215, 154, 11);
}

.homelink {
    text-decoration: none;
    color: white;
}

/*Main section of the page = quotes */
.main-content {
    width: 100%;
    margin-top: 220px;
}

.newslettersections{
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.one, .two {
    margin: 0 30px;
    line-height: 25px;
    border-right: 1px solid black;
}

.one {
    width: 400px;
    height: auto;
    margin-bottom: 20px;
    padding-right: 35px
}

.leftside {
    margin-bottom: 20px;
}

.fromroxy {
    margin-bottom: 10px;
}

#mysignature {
    font-family: 'CursiveFont', cursive;
    font-size: 50px;
    margin-top: 30px;
}

.welcome {
    margin-bottom: 10px;
}

.roxannefamilyphoto {
    width: 200px;
    height: auto;
    border-radius: 10px;
    float: right;
    margin: 15px;
}

.whycreated {
    text-align: justify;
    margin-top: 20px;
}

.reasonwhytitle, .why {
    margin-bottom: 10px;
}

.two {
    width: 550px;
    height: auto;
    margin-bottom: 20px;
    padding-right: 30px;
}

.middle {
    display: flex;
    flex-direction: column;
}

.poemsectitle {
    margin-bottom: 10px;
}

.poemtitle {
    margin-bottom: 15px;
}

.poem {
    font-family: 'CursiveFont', cursive;
    font-size: 30px;
    letter-spacing: 2px;
    margin-bottom: 8px;
}

.poemauthor {
    text-align: right;
    margin-bottom: 20px;
}

/* Slide show for the spotlight section of section two */
.spotlightsection {
    margin-top: 20px;
    width: 450px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}

.spotlighttitle, .locationspotlight, .aboutlocation {
    margin-bottom: 10px;
}

.aboutlocation {
    text-align: justify;
}

.spotlightcarousel {
    position: relative;
    margin: 10px auto 20px auto;
    height: 350px;
    width: 450px;
}

.slides {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 350px;
    display: none;
}

.slides .spot-img {
    position: relative;
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.spot-img {
    border-radius: 20px;
    justify-content: center;
}

.fade {
    animation-name: fade;
    animation-duration: 3.0s;
}

@keyframes fade {
    from {opacity: .4}
    to {opacity: 1}
}

#specialabout {
    text-align: center;
    font-weight: bold;
    margin-top: 30px;
}

li {
    list-style: none;
    text-align: center;
}


/* Footer section = Let's get started button */
footer {
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

/* Style all font awesome icons */
.fa {
    padding: 20px;
    font-size: 30px;
    width: 50px;
    text-decoration: none;
    border-radius: 20px;
}

.footer-content {
    margin-right: 50px;
}

/* Add a hover effect if you want */
.fa:hover {
    opacity: 0.7;
}

/* Set a specific color for each brand */
.fa-facebook {
    background: #3B5998;
    color: white;
}

.fa-instagram {
    background: #55ACEE;
    color: white;
}

.fa-linkedin {
    background: rgb(129, 175, 217);
    color: white; 
}

/*@media css */
@media only screen and (min-width: 1500px) {
    .one {
        width: 700px
    } 
    
    .two {
        width: 900px
    }

    .middle, .spotlightsection {
        width: 850px;
    }
}

@media only screen and (max-width: 1000px) {
    .newslettersections {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .two {
        width: 400px;
    }

    .middle, .spotlightsection, .spotlightcarousel {
        width: 350px;
    }
}

@media only screen and (max-width: 500px) {
    .page-top {
        flex-direction: column;
    }

    h1 {
        font-size: 18px;
    }

    .home-btn {
        width: 120px;
        height: 40px;
        font-size: 16px;
    }

   .one, .two {
        width: 300px;
        border-right: none;
        text-align: justify;
        padding-right: 0;
   }

   .leftside {
        align-items: center;
   }

   .roxannefamilyphoto {
        width: 130px;
        margin-right: 0;
   }

   .middle {
       width: 300px;
       line-height: 30px;
   }

   .spotlightsection, .spotlightcarousel {
        width: 300px;
   }

   footer {
        flex-direction: column;
   }

   .footer-content {
        text-align: center;
        margin: 0 0 0 10px;
   }

   .social-links {
        margin-top: 20px;
   }

}